#app {
  height: 100%;

  padding: 40px;
  @media (max-width: 767px) {
    padding: 0 20px;
  }
}

.viewport {
  padding: 20px 0;
  max-width: 100%;
  //touch-action: pan-y !important;
  //outline: 1px solid red;
}

.scroll-to-edge {
  transition: 0.2s ease-out transform;
}

.votes {
  display: inline-flex;
  align-items: stretch;
}

.vote {
  $c-base: #383644;
  $c-green: #38ad6d;
  $radius: 6px;
  $space: 24px;
  $transition: 0.25s ease-in-out;

  min-width: 300px;
  //flex-basis: 300px;
  //flex-shrink: 0;
  overflow: hidden;

  background-color: #fff;
  border-radius: $radius;
  box-shadow: 0 2px 12px -6px rgba(56, 54, 68, 0.8);
  transition: box-shadow $transition, transform $transition;

  &:hover {
    box-shadow: 0 8px 36px -16px #383644;
    transform: translateY(-2px);
  }

  &,
  a {
    color: $c-base;
    text-decoration: none;
    &:focus {
      outline: none;
    }
  }

  &,
  a,
  img {
    -webkit-user-drag: none;
    user-drag: none;
    user-select: none;
  }

  &__content {
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: $space;
  }

  &__header {
    position: relative;
    margin: #{-$space} #{-$space} $space;

    .meta {
      position: absolute;
      top: 0;
      right: 0;
      left: 0;

      color: #fff;
      font-size: 10px;
      font-weight: bold;
      padding: $space/2 $space 0;

      display: flex;
      justify-content: space-between;
      align-items: flex-start;

      .icon {
        width: 18px;
        height: 18px;
      }
    }

    .period {
      display: inline-flex;
      align-items: center;

      .icon {
        margin-right: 8px;
      }
    }
    .voted-count {
      display: inline-flex;
      flex-direction: column;
      align-items: center;
    }

    .thumbnail {
      height: 168px;
      overflow: hidden;
      background-position: center center;
      background-size: cover;

      img {
        width: 100%;
        height: 100%;
        opacity: 0;
      }
    }
  }
  &__body {
    > * {
      margin: 0;
      //&:not(:last-child) {
      margin-bottom: 15px;
      //}
    }

    .title {
      font-size: 16px;
      font-weight: bold;
      line-height: 24px;
    }
    .description {
      font-size: 12px;
      line-height: 20px;
    }
  }
  &__footer {
    margin-top: auto;
  }

  .link-next {
    color: $c-green;
    font-size: 12px;
    font-weight: bold;

    display: flex;
    align-items: center;

    .icon {
      width: 18px;
      height: 18px;
      margin-left: 8px;
      transition: transform $transition;
    }
  }

  &:hover {
    .link-next .icon {
      transform: translateX(2px);
    }
  }

  //&:not(:last-child) {
  //  margin-right: $space;
  //}
  &:last-child {
    margin-right: 0 !important;
  }
}
